> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # OTP History List > This API call retrieves OTP History records based on the specified input parameters. ## OpenAPI ````json POST /list/otp-history { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/list/otp-history": { "post": { "summary": "OTP History List", "description": "This API call retrieves OTP History records based on the specified input parameters.", "operationId": "otp-history-list", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "condition": { "type": "string", "format": "json", "description": "Filter conditions for OTP history records" }, "limit": { "type": "integer", "format": "int32", "description": "Used with *offset* for pagination" }, "offset": { "type": "integer", "format": "int32", "description": "Used with *limit* for pagination" } } }, "examples": { "Order by profile_id": { "value": { "apptoken": "YOUR_APPTOKEN", "order": [ "profile_id" ] } }, "Filter by profile_id": { "value": { "apptoken": "YOUR_APPTOKEN", "condition": [ [ "profile_id", "=", "profileId" ] ] } }, "Order by request_ts descending": { "value": { "apptoken": "YOUR_APPTOKEN", "order": [ "request_ts DESC" ] } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "data": { "type": "array", "items": { "type": "object", "properties": { "otp_id": { "type": "string", "example": "01940221-566f-71ad-9702-39b8c8718cab" }, "integration_id": { "type": "integer", "example": "9", "default": "0" }, "profile_id": { "type": "string", "example": "11e93ff698f70bb681ec0a22275e6966" }, "mobile_number": { "type": "string", "example": "+380987050091" }, "request_ts": { "type": "string", "example": "2024-12-26 08:42:06" }, "sent_ts": {}, "delivered_ts": {}, "verified_ts": { "type": "string", "example": "2024-12-26 08:43:25" }, "error": {}, "source": { "type": "integer", "example": "1", "default": "0" } } } } } }, "examples": { "Result": { "value": { "success": "true", "code": "200", "data": [ { "otp_id": "01940221-566f-71ad-9702-39b8c8718cab", "integration_id": "9", "profile_id": "11e93ff698f70bb681ec0a22275e6966", "mobile_number": "+380987050091", "request_ts": "2024-12-26 08:42:06", "verified_ts": "2024-12-26 08:43:25", "source": "1" } ] } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "Invalid request" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string", "example": "Missing or invalid 'apptoken'" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "Invalid request", "errors": [ { "text": [ "Missing or invalid 'apptoken'" ] } ] } } } } } } }, "tags": [ "OTP Methods" ] } } } } ````